import matplotlib.pyplot as plt
import pandas as pd
#设置matplotlib使用的中文字体为黑体
plt.rcParams['font.family'] = 'SimHei'
#读取文件。数据文件“降水量.csv”要和程序文件在同文件夹下
df=pd.read_csv("降水量.csv")
#设置数据
x=df["城市"].tolist()
y1=df["1月"].tolist()
y4=df["4月"].tolist()
y8=df["8月"].tolist()
#设置坐标轴标题，并设置横坐标纵向显示
fig=plt.figure(figsize=(14,5),facecolor="lightyellow")
plt.xlabel('城市')
plt.ylabel('降水量（mm）')
plt.xticks(rotation=90)
#下面绘图使用了红、绿、蓝的颜色简写r,g,b
plt.plot(x,y1,marker='*', color='r',label="1月平均降水量")
plt.plot(x,y4,marker='.', color='g',label="4月平均降水量")
plt.plot(x,y8,marker='h', color='b',label="8月平均降水量")
plt.title("xx年部分月份全国主要城市降水量")
plt.tight_layout()   #调整图像布局，使坐标完整显示
plt.legend()         #显示图例
plt.show()
