import pandas as pd
import tkinter as tk
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg
import matplotlib.pyplot as plt
plt.rcParams['font.family'] = 'SimHei'
# 创建窗口和控件
root = tk.Tk()
root.title('城市降水量折线图')
root.geometry('1000x400')
root.configure(bg="lightblue")
frame = tk.Frame(root)
label1=tk.Label(root,text='城市1',bg="lightblue")
label1.place(relx=0.05,rely=0.1)
label2=tk.Label(root,text='城市2',bg="lightblue")
label2.place(relx=0.05,rely=0.3)
entry1=tk.Entry(root, width=10)
entry2= tk.Entry(root, width=10)
#放置一个框架，用窗体右侧的一部分放置绘图画布
frame.place(relx=0.2, rely=0, relwidth=0.8, relheight=1)
entry1.place(relx=0.1,rely=0.1)
entry2.place(relx=0.1,rely=0.3)
# 读取csv文件
df = pd.read_csv('降水量.csv')
x= df.columns[1:].tolist()
city=df["城市"].tolist()
# 创建按钮单击事件
def 查询():
    城市1=entry1.get()
    城市2=entry2.get()
    if 城市1 not in city or 城市2 not in city:
        tk.messagebox.showwarning("警告", "您输入的城市不在列表中！")
        entry1.delete(0, tk.END)
        entry2.delete(0, tk.END)
    else:
        y1= df.loc[df['城市'] == 城市1].values[0].tolist()[1:]
        y2= df.loc[df['城市'] == 城市2].values[0].tolist()[1:]
        fig=plt.figure(figsize=(9,4),facecolor="lightyellow")
        plt.plot(x, y1, marker='o',label=城市1)
        plt.plot(x, y2, marker='*',label=城市2)
        plt.legend()
        plt.title("{}和{}降水量对比图".format(城市1,城市2))
        # 将Matplotlib图形嵌入到Tkinter窗口中
        canvas = FigureCanvasTkAgg(fig, master=frame)
        canvas_widget = canvas.get_tk_widget()
        #放置canvas的在frame中
        canvas_widget.place(relx=0, rely=0, relwidth=1, relheight=1)
        label3=tk.Label(root,anchor='w',text="%s总降水量：%.2f\n%s总降水量：%.2f"%(城市1,sum(y1),城市2,sum(y2)))
        label3.place(relx=0,rely=0.8)
button = tk.Button(root, text='查询',width=10, command=查询)
button.place(relx=0,rely=0.5)

# 运行主循环
root.mainloop()
